Skip to content

Retrieve an entitlement value

Request

OAuth 2.0 scope:
  • okta.governance.entitlements.read
Admin roles:
  • APP_ADMIN

Retrieves a single entitlement value

Path
entitlementIdstringrequired

Unique identifier for the entitlement

valueIdstringrequired

The id of the entitlement value

GET
/governance/api/v1/entitlements/{entitlementId}/values/{valueId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/entitlements/{entitlementId}/values/{valueId}'

Responses

A successful entitlement value response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, = 20 characters(entitlement-value-id)required

The id of the entitlement value

namestring, [ 1 .. 255 ] characters(entitlement-value-display-name)required

The display name for an entitlement value

externalValuestring, [ 1 .. 2000 ] characters(entitlement-value-external)required

The value of an entitlement property value

externalIdstring, [ 1 .. 512 ] characters(entitlement-value-external-id)

The read-only ID of an entitlement property value in the downstream app

descriptionstring, [ 1 .. 1024 ] characters(entitlement-value-description)

The description of an entitlement value

ornstring, (okta-resource-orn)(okta-entitlement-value-orn)required

The entitlement value resource, in ORN format

entitlementIdstring, = 20 characters(entitlement-property-id)required

The id property of an entitlement

parentResourceOrnstring, (okta-resource-orn)(resource-orn)required

The Okta resource in ORN format

See the ORN format for supported resources.

parentobject(target-resource)required

Representation of a resource

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

labelsArray of objects, <= 10 items(label)

List of assigned labels

Response
Entitlement value data
{ "id": "entfxqCAJWWGELFTYAAA", "name": "Admin access", "description": "ability to grant an access", "externalValue": "admin", "entitlementId": "esp5zFLCIUV7Vibro0g2", "externalId": "75941239-123s-1245-xyz6-562fee27167r", "created": "2022-05-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2022-05-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "orn": "orn:okta:governance:00o11edPwGqbUrsDm0g4:entitlement-values:entfxqCAJWWGELFTYAAA", "parentResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "parent": { "externalId": "0oafxqCAJWWGELFTYASJ", "type": "APPLICATION" }, "_links": { "self": {} } }